<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter::StarterUtil  Class Reference</h1><code>#include &lt;<a class="el" href="StarterUtil_8h-source.html">StarterUtil.h</a>&gt;</code>
<p>
<a href="classStarter_1_1StarterUtil-members.html">List of all members.</a><table border=0 cellpadding=0 cellspacing=0>
<tr><td colspan=2><br><h2>Public Methods</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z7_0">StarterUtil</a> (Tango::DeviceImpl *dev, string host_name)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Contructor - Initialize data members.</em> <a href="#z7_0">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">methods</div></td></tr>
<tr><td colspan="2"><div class="groupText">Tools methods<br><br></div></td></tr>
<tr><td nowrap align=right valign=top>char *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_0">get_server_name</a> (char *argin)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Extract server name from input parameter (servname/instance).</em> <a href="#z8_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>char *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_1">get_instance_name</a> (char *argin)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Extract instance name from input parameter (servname/instance).</em> <a href="#z8_1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>char *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_2">check_exe_file</a> (char *servname, vector&lt; string &gt; v_path)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Check if executable file exists and return its full name with good path.</em> <a href="#z8_2">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>string&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_3">build_log_file_name</a> (char *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: <a class="el" href="classStarter_1_1StarterUtil.html#z8_3">StarterUtil::build_log_file_name</a>.</em> <a href="#z8_3">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>char *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_4">get_file_date</a> (char *filename)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Get the last modification on a file and return it in a string.</em> <a href="#z8_4">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>char *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_5">strtime</a> (time_t t)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Format the date and time in the argin value (Ux format) as string.</em> <a href="#z8_5">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top><a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_6">get_server_by_name</a> (string, vector&lt; <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> &gt; &amp;)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>search a server in <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> array by it's name .</em> <a href="#z8_6">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>vector&lt; string &gt;&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_7">get_host_ds_list</a> (Tango::DeviceProxy *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Get host device servers list from database.</em> <a href="#z8_7">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>bool&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_8">is_notifyd_alive</a> (Tango::DeviceProxy *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>check if Notify Daemon is alive.</em> <a href="#z8_8">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_9">start_timer</a> ()</td></tr>
<tr><td nowrap align=right valign=top>int&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1StarterUtil.html#z8_10">get_timer_value</a> ()</td></tr>
</table>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a name="z7_0" doxytag="Starter::StarterUtil::StarterUtil"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::StarterUtil::StarterUtil </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceImpl *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>dev</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>string&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>host_name</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Contructor - Initialize data members.
<p>
    </td>
  </tr>
</table>
<hr><h2>Member Function Documentation</h2>
<a name="z8_3" doxytag="Starter::StarterUtil::build_log_file_name"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> string Starter::StarterUtil::build_log_file_name </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>server</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: <a class="el" href="classStarter_1_1StarterUtil.html#z8_3">StarterUtil::build_log_file_name</a>.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>server</em>&nbsp;</td><td>
name of the server </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_2" doxytag="Starter::StarterUtil::check_exe_file"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> char * Starter::StarterUtil::check_exe_file </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>servname</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>vector&lt; string &gt;&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>v_path</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Check if executable file exists and return its full name with good path.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>servname</em>&nbsp;</td><td>
Server name </td></tr>
<tr><td valign=top><em>fullpath</em>&nbsp;</td><td>
Path from property </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_4" doxytag="Starter::StarterUtil::get_file_date"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> char * Starter::StarterUtil::get_file_date </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>filename</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the last modification on a file and return it in a string.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>filename</em>&nbsp;</td><td>
file's name to get the date. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_7" doxytag="Starter::StarterUtil::get_host_ds_list"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> vector&lt; string &gt; Starter::StarterUtil::get_host_ds_list </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceProxy *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>dbase</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get host device servers list from database.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>dbase</em>&nbsp;</td><td>
Database device as a DeviceProxy for not implemented API commands. </td></tr>
<tr><td valign=top><em>hostname</em>&nbsp;</td><td>
Host's name to get the device servers list. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_1" doxytag="Starter::StarterUtil::get_instance_name"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> char * Starter::StarterUtil::get_instance_name </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>argin</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Extract instance name from input parameter (servname/instance).
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
servname/instance </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_6" doxytag="Starter::StarterUtil::get_server_by_name"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> * Starter::StarterUtil::get_server_by_name </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">string&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>servname</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>vector&lt; <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> &gt; &amp;&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>servers</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
search a server in <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> array by it's name .
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>servname</em>&nbsp;</td><td>
Server searched name. </td></tr>
<tr><td valign=top><em>servers</em>&nbsp;</td><td>
Array of structure to search name. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_0" doxytag="Starter::StarterUtil::get_server_name"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> char * Starter::StarterUtil::get_server_name </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>argin</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Extract server name from input parameter (servname/instance).
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
servname/instance </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z8_10" doxytag="Starter::StarterUtil::get_timer_value"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int Starter::StarterUtil::get_timer_value </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="z8_8" doxytag="Starter::StarterUtil::is_notifyd_alive"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> bool Starter::StarterUtil::is_notifyd_alive </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceProxy *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>dbase</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
check if Notify Daemon is alive.
<p>
    </td>
  </tr>
</table>
<a name="z8_9" doxytag="Starter::StarterUtil::start_timer"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::StarterUtil::start_timer </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="z8_5" doxytag="Starter::StarterUtil::strtime"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> char * Starter::StarterUtil::strtime </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">time_t&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>t</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Format the date and time in the argin value (Ux format) as string.
<p>
    </td>
  </tr>
</table>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="StarterUtil_8h-source.html">StarterUtil.h</a><li><a class="el" href="StarterUtil_8cpp.html">StarterUtil.cpp</a></ul>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
